For a deeper look into our DataScope Select REST API, look into:

Overview |  Quickstart |  Documentation |  Downloads |  Tutorials

question

Upvotes
Accepted
1 0 0 1

Datascope Select Dotnet SDK 15 dependency version change

The updated SDK which was supposed to be drop-in upgrade changed the required version of NewtonsoftJson serializer.


We have a large existing codebase and it's not trivial to update this dependency across the platform.


I'd like to request a version of the SDK using the original dependency version, or a serializer-free version in which a serializer can be injected into the SDK by the consumer.


The latter is the best long term solution IMO.

dss-rest-apidatascope-selectdss.net
icon clock
10 |1500

Up to 2 attachments (including images) can be used with a maximum of 512.0 KiB each and 1.0 MiB total.

Upvotes
Accepted
45.3k 103 44 60

@egiordano

From my checking, DSS .NET SDK 14.5 depends on Newtonsoft 11.0.2.21924.

1625113630456.png

It is the same versions used by DSS .NET SDK 15.0.

1625113745332.png

What is the previous version that you are using?




1625113630456.png (18.3 KiB)
1625113745332.png (18.6 KiB)
icon clock
10 |1500

Up to 2 attachments (including images) can be used with a maximum of 512.0 KiB each and 1.0 MiB total.

Upvotes
1 0 0 1

We're coming from version 12 :/

icon clock
10 |1500

Up to 2 attachments (including images) can be used with a maximum of 512.0 KiB each and 1.0 MiB total.

@egiordano

I can refer this request to the product team However, you can also directly send this feedback to the product via this page.